Skip to main content
POST
Link environment to server

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

server_id
string<uuid>
required

ID of a server you own. Linking and unlinking require project.runtime.manage on every project currently linked to the server. If none are linked, no project capability is required. Linking also requires project.runtime.manage on the environment’s project. Unlinking also requires API-key delete scope.

environment_id
string<uuid>
required

Body

application/json

The body is of type object.

Response

Environment linked

id
string<uuid>
required
short_id
string
required
user_id
string<uuid>
required
environment_ids
string<uuid>[]
required
hostname
string
required
status
enum<string>
required
Available options:
pending,
provisioning,
running,
error,
deleting
created_at
string
required
updated_at
string
required